from sense_hat import SenseHat
import time

sense = SenseHat()

temperature = sense.get_temperature()
humidity = sense.get_humidity()
pressure = sense.get_pressure()

temperature = round(temperature,1)
humidity = round(humidity,1)
pressure = round(pressure,1)


print(temperature)
print(humidity)
print(pressure)

text = "%s" %temperature

sense.show_message(text)

sense.set_pixel(0,0,150,0,0)
sense.set_pixel(1,0,150,150,150)
sense.set_pixel(2,0,0,0,150)

time.sleep(1)
sense.clear()

sense.set_pixel(3,0,255,0,0)
sense.set_pixel(4,0,0,255,0)
sense.set_pixel(5,0,0,0,255)

time.sleep(1)
sense.clear()
